<!DOCTYPE html>
<html lang="en-US" dir="ltr">
  <head>
    <meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1">
    <meta charset="utf-8">
    <meta name="theme-color" content="#2a400c">
    <title>Dialer</title>

    <!-- Localization -->
    <meta name="defaultLanguage" content="en-US">
    <meta name="availableLanguages" content="af:201809261548, sq-AL:201809261548, ar:201809261548, hy-AM:201809261548, az-Latn-AZ:201809261548, be-BY:201809261548, bn-BD:201809261548, bn:201809261548, bs-BA:201809261548, bg-BG:201809261548, zh-CN:201809261548, zh-HK:201809261548, zh-TW:201809261548, hr-HR:201809261548, cs-CZ:201809261548, da-DK:201809261548, nl:201809261548, en-GB:201809261548, en-US:201809261548, et-EE:201809261548, fi-FI:201809261548, fr-CA:201809261548, fr:201809261548, ka-GE:201809261548, de:201809261548, el-GR:201809261548, he-IL:201809261548, hi:201809261548, hu:201809261548, is-IS:201809261548, id:201809261548, it:201809261548, kk-KZ:201809261548, km-KH:201809261548, ko-KR:201809261548, lo-LA:201809261548, lv-LV:201809261548, it-LT:201809261548, mk-MK:201809261548, ms:201809261548, mo-RO:201809261548, ne:201809261548, nb-NO:201809261548, fa-IR:201809261548, pl:201809261548, pt-BR:201809261548, pt-PT:201809261548, ps-AF:201809261548, ro:201809261548, ru:201809261548, sr-Latn-CS:201809261548, si-LK:201809261548, sk-SK:201809261548, sl-SI:201809261548, es:201809261548, es-US:201809261548, sw:201809261548, sv-SE:201809261548, fil-PH:201809261548, ta:201809261548, th:201809261548, tr:201809261548, uk-UA:201809261548, ur:201809261548, uz-Cyrl-UZ:201809261548, vi:201809261548, xh-ZA:201809261548, zu:201809261548">
    <link rel="localization" href="/locales-obj/{locale}.json">
    
    
    
    
    
    
    
    
    
    
    
    

    <!-- CSS -->
    <link rel="stylesheet" type="text/css" href="/shared/style/dialer/dialer.css">


    <!--<link rel="stylesheet" type="text/css" href="/shared/style/tabs.css">-->
    <link rel="stylesheet" type="text/css" href="style/dialer_tabs.css">

    <link rel="stylesheet" type="text/css" href="app://theme.gaiamobile.org/shared/elements/gaia-theme/gaia-theme.css">
    <link rel="stylesheet" type="text/css" href="/shared/elements/gaia-icons/gaia-icons.css">
    <link rel="stylesheet" type="text/css" href="/shared/style/softkey.css">
    <link rel="stylesheet" type="text/css" href="/shared/style/navigation.css">
    <link rel="stylesheet" type="text/css" href="/shared/style/lists.css">
    <link rel="stylesheet" type="text/css" href="/shared/elements/gaia-theme/gaia-theme.css">
    <link rel="stylesheet" type="text/css" href="/shared/elements/gaia-theme/gaia-font.css">
    <link rel="stylesheet" type="text/css" href="/shared/elements/gaia_tabs/style.css">
    <link rel="stylesheet" type="text/css" href="/dialer/style/call_log.css">
    <!-- JS -->

<meta content="2.2" name="appVersion"></head><body role="application" class="skin-comms theme-communications">　　　　<!-- Lazy load all the things:
    <link rel="stylesheet" type="text/css" href="/shared/style/animations.css">
    <link rel="stylesheet" type="text/css" href="style/toolbar.css">
    <link rel="stylesheet" type="text/css" href="/shared/style/option_menu.css">
    <link rel="stylesheet" type="text/css" href="/shared/style/action_menu.css">
    <link rel="stylesheet" type="text/css" href="/shared/style/toaster.css">
    <link rel="stylesheet" type="text/css" href="/shared/style/contacts/contact_in_overlay.css">
    <link rel="stylesheet" type="text/css" href="/shared/style/dialer/overlay.css">
    <link rel="stylesheet" type="text/css" href="/style/action_menu.css">
    <link rel="stylesheet" type="text/css" href="/shared/style/confirm.css">
    <link rel="stylesheet" type="text/css" href="/shared/style/edit_mode.css">
    <link rel="stylesheet" type="text/css" href="/shared/style/switches.css">
    <link rel="stylesheet" type="text/css" href="/shared/style/lists.css">
    <link rel="stylesheet" type="text/css" href="/shared/style/progress_activity.css">
    <link rel="stylesheet" type="text/css" href="/shared/style/input_areas.css">
    <link rel="stylesheet" type="text/css" href="/shared/style/contacts/contacts_buttons.css">
    <link rel="stylesheet" type="text/css" href="/shared/style/contacts.css">
    <link rel="stylesheet" type="text/css" href="/dialer/style/buttons.css">
    <link rel="stylesheet" type="text/css" href="/shared/elements/gaia_menu/style.css">
    <link rel="stylesheet" type="text/css" href="/shared/elements/gaia_sim_picker/style.css">
    <link rel="stylesheet" type="text/css" href="/shared/style/action_list.css">
    <script defer src="/dialer/js/cache.js"></script>
    <script defer src="/shared/js/l10n.js"></script>
    <script defer src="/shared/js/l10n_date.js"></script>
    <script defer src="/shared/js/navigation_handler.js"></script>
    <script defer src="/shared/js/softkey_panel.js"></script>
    <script defer src="/shared/js/softkey_panel_helper.js"></script>
    <script defer src="/shared/js/contact_photo_helper.js"></script>
    <script defer src="/shared/js/date_time_helper.js"></script>
    <script defer src="/shared/js/performance_testing_helper.js"></script>

    <script defer src="/shared/elements/gaia-progress/dist/gaia-progress.js"></script>
    <script defer src="/shared/elements/gaia_menu/script.js"></script>
    <script defer src="/shared/elements/gaia_sim_picker/script.js"></script>
    <script defer src="/shared/js/async_storage.js"></script>
    <script defer src="/shared/js/mobile_operator.js"></script>
    <script defer src="/shared/js/notification_helper.js"></script>
    <script defer src="/shared/js/option_menu.js"></script>
    <script defer src="/shared/js/simple_phone_matcher.js"></script>
    <script defer src="/shared/js/settings_listener.js"></script>
    <script defer src="/shared/js/confirm.js"></script>
    <script defer src="/shared/js/fb/fb_request.js"></script>
    <script defer src="/shared/js/fb/fb_data_reader.js"></script>
    <script defer src="/shared/js/fb/fb_reader_utils.js"></script>
    <script defer src="/shared/js/fb/fb_tel_index.js"></script>
    <script defer src="/shared/js/binary_search.js"></script>
    <script defer src="/shared/js/sticky_header.js"></script>
    <script defer src="/shared/js/sim_settings_helper.js"></script>
    <script defer src="/shared/js/dialer/contacts.js"></script>
    <script defer src="/shared/js/dialer/telephony_messages.js"></script>
    <script defer src="/shared/js/dialer/telephony_helper.js"></script>
    <script defer src="/shared/js/contacts/contacts_buttons.js"></script>
    <script defer src="/shared/js/custom_dialog.js"></script>
    <script defer src="/dialer/js/contact_data_manager.js"></script>
    <script defer src="/dialer/js/photo_resize.js"></script>
    <script defer src="/shared/js/image_utils.js"></script>
    <script defer src="/shared/js/icc_helper.js"></script>
    <script defer src="/shared/elements/config.js"></script>
    <script defer src="/shared/elements/gaia-header/dist/gaia-header.js"></script>
    <script defer src="/shared/js/text_normalizer.js"></script>
    <script defer src="/shared/js/contacts/utilities/templates.js"></script>
    <script defer src="/shared/js/contacts/sms_integration.js"></script>
    <script defer src="/shared/js/action_list.js"></script>"
    <script defer src="/dialer/js/utils.js"></script>"
    <script defer src="/shared/js/option_menu_helper.js"></script>"
    <script defer src="/dialer/js/dialer.js"></script>"
    <script defer src="/dialer/js/call_log_db.js"></script>"
    <script defer src="/dialer/js/voicemail.js"></script>"
    <script defer src="js/call_log_menu.js"></script>"
    <script defer src="/shared/js/navigation_manager.js"></script>"
    <script defer src="/shared/js/toaster.js"></script>"
    <script defer src="/shared/style/toaster.css"></script>"
    <script defer src="/shared/js/component_utils.js"></script>"
    <script defer src="/shared/elements/gaia_confirm/script.js"></script>
    <script defer src="/shared/elements/gaia_tabs/script.js"></script>"
    <script defer src="/shared/js/option_menu.js"></script>"
    <script defer src="/dialer/js/pbmap/phonebook.js"></script>
    <script defer src="/dialer/js/pbmap/pbap.js"></script>
    <script defer src="/dialer/js/pbmap/contact2vcard.js"></script>
    <script defer src="/dialer/js/pbmap/setImmediate.js"></script>
    <script defer src="/dialer/js/pbmap/vcard_utils.js"></script>
    <script defer src="/dialer/js/pbmap/map_manager.js"></script>
    <script defer src="/dialer/js/pbmap/message.js"></script>
    <script defer src="/dialer/js/pbmap/message_utils.js"></script>
    <script defer src="/dialer/js/pbmap/pbmap_iac_api.js"></script>
    <script defer src="/shared/js/homescreens/confirm_dialog_helper.js"></script>"
    <script defer src="/shared/js/dialer/tone_player.js"></script>"
    <script defer src="/shared/js/dialer/dtmf_tone.js"></script>"
    <script defer src="/shared/js/dialer/font_size_manager.js"></script>"
    <script defer src="/shared/js/second_screen.js"></script>
    <script defer src="/shared/js/font_size_utils.js"></script>
    -->

    
    
    

  
  
    <div class="statusbar-placeholder"></div>
    <section id="views" role="tablist" class="bb-tablist">
      <li role="presentation" class="view" id="call-log-view">
        <div id="recents-panel" role="tabpanel" class="bb-tabpanel" aria-labelledby="option-recents">
          <section role="region">
            <h1 data-l10n-id="callLog" id="calllog">Call log</h1>
            <nav id="call-log-filter" class="recents-filter-container hide">
              <ul role="tablist" class="bb-tablist" data-type="filter" aria-controls="call-log-container">
                <gaia-tabs class="h3" underline="child" selected="0" position="top">
                  <a id="all-filter">
                    <span aria-label="All" data-l10n-id="all">All</span>
                  </a>
                  <a id="missed-filter">
                    <span aria-label="Missed" data-l10n-id="missed">Missed</span>
                  </a>
                  <a id="dialed-filter">
                    <span data-l10n-id="dialed">Dialed</span>
                  </a>
                  <a id="received-filter">
                    <span data-l10n-id="received">Received</span>
                  </a>
                </gaia-tabs>
              </ul>
            </nav>
            <div class="view-body" role="heading" aria-labelledby="calllog">
              <article id="call-log-container" role="tabpanel" class="view-body-inner active" data-type="list">
                <div id="no-result-container" hidden="">
                  <div id="no-result-message">
                    <p id="no-result-msg1" data-l10n-id="no-logs-msg-1">No calls recorded.</p>
                    <p id="no-result-msg2" data-l10n-id="no-logs-msg-2">Start communicating now.</p>
                    <p id="no-result-msg3" data-l10n-id="no-logs-msg-3" hidden="">No calls recorded.</p>
                    <p id="no-result-msg4" data-l10n-id="no-logs-msg-4" hidden="">Start communicating now.</p>
                  </div>
                </div>
              </article>
              <div id="sticky"></div>
            </div>
          </section>
          <section id="call-info-view" role="region" hidden=""><!--
    <section role="region">
      <gaia-header id="call-info-gaia-header">
        <h1 data-l10n-id="callInformation"></h1>
      </gaia-header>
    </section>

    <div class="ci__wrapper">
      <div class="ci__calls-wrapper">
        <div class="ci-icon">
          <aside id="call-info-ico"></aside>
        </div>
        <div class="call-general-info">
          <div class="ci__group-info">
            <p id="call-info-contact" class="ci__grow"></p>
          </div>
          <div id="call-info-number"></div>
        </div>
      </div>
      <h2 class="call-info-day"></h2>
        <div class="call-duration-list" id="call-info-list">
        </div>

    <template id="call-info-template">
      <section>
        <div class="call-info-time-list"></div>
      </section>
    </template>

    </div>
  --></section>
        </div>
        <form role="dialog" data-type="confirm" id="call-log-upgrading" class="hide">
          <section>
            <div role="status">
              <span id="call-log-upgrade-percent" class="loading-header">0%</span>
              <gaia-progress id="call-log-upgrade-progress" class="pack-activity" value="0" max="100"></gaia-progress>
            </div>
          </section>
        </form>
      </li>
    </section>

    <form aria-label="Edit call log dialog" id="edit-mode" role="dialog" data-l10n-id="callLogEditDialog" data-type="edit" hidden=""><!--
     <section role="region">
       <gaia-header id="edit-mode-header">
          <h1 id="header-edit-mode-text" data-l10n-id="tcl-edit-not-selected"></h1>
          <button id="delete-button" data-l10n-id="delete" disabled="">Delete</button>
       </gaia-header>
     </section>
     <menu>
       <button id="deselect-all-threads" class="edit-button" disabled="" data-l10n-id="calllog-none">Deselect all</button>
       <button id="select-all-threads" class="edit-button" data-l10n-id="calllog-all">Select all</button>
     </menu>
  --></form>

    <form aria-label="Add Contact Dialog" id="add-contact-action-menu" role="dialog" data-l10n-id="dialerAddContactDialog" data-type="action" hidden=""><!--undefined--></form>

    <gaia-sim-picker id="sim-picker" tabindex="-1"></gaia-sim-picker>

    <form id="confirmation-message" class="hide no-opacity" role="dialog" data-type="confirm"><!--

     <section>
       <h1>Confirmation title</h1>
       <p>Confirmation message</p>
     </section>
     <menu style="visibility:hidden">
       <button>Action 1</button>
       <button>Action 2</button>
     </menu>
  --></form>

    <section id="phone-details" hidden=""><!--undefined--></section>
    <section id="email-details" hidden=""><!--undefined--></section>

    <form data-type="confirm" role="dialog" id="loading-overlay" class="hide">
      <section>
        <h1 data-l10n-id="sending">Sending…</h1>
        <p role="status">
          <gaia-progress class="pack-activity" value="0" max="100"></gaia-progress>
        </p>
      </section>
    </form>

    <div id="react-root"></div>
  
  <form id="fakeSoftkeyPanel" class="skbar none-paddings" data-z-index-level="softkeyPanel" data-type="actions">
    <div>
      <button id="software-keys-left" class="sk-button"></button>
    </div>
    <div>
      <button id="software-keys-center" class="sk-button"></button>
    </div>
    <div>
      <button id="software-keys-right" class="sk-button"></button>
    </div>
  </form>
  <script src="/dialer/js/cache_restore.js"></script>
  <script defer="" src="/shared/js/lazy_loader.js"></script>
  <script defer="" src="/dialer/js/index.js"></script>
  <script defer="" src="/dialer/js/call_menu.js"></script>



</body>
</html>
